
        <div  *ngFor="let movie of movies;let i=index" class="main-tile">
                <div class="wat-lst-mai-container">
                        <div class="imgStyle">
                        <img class="movie-image" [src]="movie?.poster_path" [alt]="movie?.title" (click)="getMovieDetails(i)">
                        </div>
                        <div class="content">
                                        <span class="movie-title">{{movie?.title}}({{movie?.release_date| date: 'yyyy'}})</span>
                                        <span class="cmtBox common">Comments</span>
                                        <span class="cmtBox common"><input type="text" class="txtStyle txtCmt" [(ngModel)]="movie.comments"/></span>
                                        <div class="common btnStyle">
                                                <button mat-button class="btn-update" color="primary" (click)="updateMovieDetails(i)">Update</button>
                                                <button mat-button class="remove" (click)="removeFromWatchlist(i)">Remove</button>
                                        </div>
                        </div>
                </div>
           
        </div>

